Package org.apache.sysds.runtime.compress.cost

# Enum Class CostEstimatorFactory.CostType

java.lang.Object
java.lang.Enum<CostEstimatorFactory.CostType>
org.apache.sysds.runtime.compress.cost.CostEstimatorFactory.CostType

All Implemented Interfaces:
  `Serializable`, `Comparable<CostEstimatorFactory.CostType>`, `Constable`

Enclosing interface:
  CostEstimatorFactory

public static enum CostEstimatorFactory.CostType extends Enum<CostEstimatorFactory.CostType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
`DISTINCT`
`HYBRID_W_TREE`
`MEMORY`
`W_TREE`

## Method Summary

Modifier and Type
Method
Description
`static CostEstimatorFactory.CostType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CostEstimatorFactory.CostType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MEMORY

public static final CostEstimatorFactory.CostType MEMORY

### W_TREE

public static final CostEstimatorFactory.CostType W_TREE

### HYBRID_W_TREE

public static final CostEstimatorFactory.CostType HYBRID_W_TREE

### DISTINCT

public static final CostEstimatorFactory.CostType DISTINCT

### AUTO

public static final CostEstimatorFactory.CostType AUTO

## Method Details

### values

public static CostEstimatorFactory.CostType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CostEstimatorFactory.CostType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null